Bug 216758 - www/py-djblets : depends on expired www/py-django16 and www/py-django-pipeline13
Summary: www/py-djblets : depends on expired www/py-django16 and www/py-django-pipeline13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-python mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-03 15:56 UTC by Rene Ladan
Modified: 2017-04-19 19:48 UTC (History)
3 users (show)

See Also:


Attachments
partial patch to upgrade to modern dependencies (851 bytes, patch)
2017-02-03 15:56 UTC, Rene Ladan
rene: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2017-02-03 15:56:39 UTC
Created attachment 179571 [details]
partial patch to upgrade to modern dependencies

py-djblets depends on www/py-django16 (expired 2015-10-01) and www/py-django-pipeline13 (expires 2017-04-01). There are instructions on upgrading from pipeline 1.3 to pipeline 1.6 at https://django-pipeline.readthedocs.io/en/latest/installation.html#upgrading-from-1-3

A simple patch for the ports Makefile is attached, but the port itself also needs to be patched. There is a version 0.10 in the upstream GitHub repository which can use django-pipeline 1.6.x and django 1.8.x but it is not on Cheeseshop yet.

See https://github.com/djblets/djblets/blob/master/djblets/dependencies.py
Comment 1 Rene Ladan freebsd_committer 2017-02-25 22:24:50 UTC
Ping?
Comment 2 Martin Wilke freebsd_committer 2017-04-05 15:27:17 UTC
I mark this port deprecated and set expired date.


Explanation:
- py-django16 is expired since April 2015 we don't need to keep it anymore.
- The django team have introduced in version 1.7 a new crontrib module called 
  "the staticfile app" [1].
  This is required to be enabled manually after the installation and manual 
  changes are needed in setting.py. 
- py-djblets requires the staticfile module to be able to work [2]. Our framework doesn't support it, and
  there is no plan in a near future to support it.

  [1] https://docs.djangoproject.com/en/1.7/ref/contrib/staticfiles/
      https://django-doc-test-kor.readthedocs.io/en/latest/howto/static-files/index.html
  [2] https://github.com/djblets/djblets/blob/release-0.9.6/contrib/internal/build-media.py
Comment 3 Dan Langille freebsd_committer 2017-04-06 13:10:28 UTC
I have no time to help.  Please proceed without me. I appreciate the help.
Comment 4 commit-hook freebsd_committer 2017-04-06 13:24:00 UTC
A commit references this bug:

Author: miwi
Date: Thu Apr  6 13:22:54 UTC 2017
New revision: 437862
URL: https://svnweb.freebsd.org/changeset/ports/437862

Log:
  - Mark py-crits deprecated and set expired date as for the same reason explained in r437796

  PR:		        216758
  Approved by:	dvl (maintainer via irc)

Changes:
  head/security/py-crits/Makefile
Comment 5 Rene Ladan freebsd_committer 2017-04-19 19:48:57 UTC
Expired port removed.